%define rname beryl
%define name %{rname}-plugins
%define version 0.2.0
%define release %mkrel 1

Name: %name
Version: %version
Release: %release
Summary: Various plugins for the beryl window manager/compositor
Group: System/X11
URL: http://www.beryl-project.org/
Source: http://releases.beryl-project.org/%{version}/%{name}-%{version}.tar.bz2
Patch0: mandriva-setting.patch

License: GPL
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: beryl-core-devel = %{version}
BuildRequires: libsvg-cairo-devel
BuildRequires: librsvg-devel
BuildRequires: intltool

Requires: beryl-core

# compiz-quinnstorm-plugins was renamed to beryl-plugins
Provides: compiz-quinnstorm-plugins
Obsoletes: compiz-quinnstorm-plugins
Obsoletes: beryl-dbus

%description
OpenGL composite manager plugins for Xgl and AIGLX.


%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/%{rname}/*
%{_datadir}/%{rname}/*.png


%prep
%setup -q

%build
# Prevent libtoolize running which messes things up.
rm -f configure.in configure.ac

%configure2_5x --enable-librsvg
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}

%clean
rm -rf %{buildroot}


%changelog
* Thu Mar 15 2007 Colin Guthrie <cguthrie@mandriva.org> 0.2.0-1mdv2007.1
+ Revision: 143952
- Update the tarball due to upstream whoopsie
- New Version: 0.2.0

* Wed Feb 14 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.9999.2-1mdv2007.1
+ Revision: 120679
- New Release Candidate 0.1.9999.2 (RC2)
- Tidy up BuildRequires due to beryl-core-devel changes

* Sat Feb 03 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.9999.1-1mdv2007.1
+ Revision: 116010
- New Release Candidate: RC1

* Sun Jan 21 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.99.2-1mdv2007.1
+ Revision: 111364
- New version 0.2.0 Beta 2

* Sat Dec 30 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.4-2mdv2007.1
+ Revision: 102807
- New Release: 0.1.4

* Sun Dec 10 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.3-1mdv2007.1
+ Revision: 94440
- The official 0.1.3
- Rebuild for backports

  + Sébastien Savarin <plouf@mandriva.org>
    - New rev 0.1.3

* Mon Nov 20 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-4mdv2007.1
+ Revision: 85538
- Spec file cleanup

* Fri Nov 10 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-3mdv2007.1
+ Revision: 80519
- Kick Iurt
- Rebuild with correctly libified beryl-core
- New Release 0.1.2

* Tue Oct 24 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.1-4mdv2007.1
+ Revision: 72135
- Revert back to plain make as in 0.1.0 as dual-core %%make fails.
- Correct the version requirement on beryl-core-devel
- Require correct version of beryl-core-devel
- Prevent unnecessary configure in autogen

  + Sébastien Savarin <plouf@mandriva.org>
    - New revision 0.1.1

* Sat Oct 14 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.0-3mdv2006.0
+ Revision: 65039
- Disable multi-core make
- Rebuild
- Fix old buildreqs
- Proper handling of Provides/Obsoletes for package renames
- First Beryl release
- Compiz Quinnstorm becomes Beryl

* Wed Sep 20 2006 Sébastien Savarin <plouf@mandriva.org> 0.37-3mdv2007.0
+ Revision: 62438
- Really use new icon
- change mandriva-top.png
- fix misstake
- mkrel 2
- add patch to mandriva top add requires fix --enable-librsvg

  + Colin Guthrie <cguthrie@mandriva.org>
    - Bump release after several changes.
    - Remove old changelog

* Mon Sep 18 2006 Colin Guthrie <cguthrie@mandriva.org> 0.37-1mdv2007.0
+ Revision: 61819
- Import compiz-quinnstorm-plugins

